XSLT Transformation issue under 1.5